# This is a template for a single-package spec file
%define name     openssl
%define ver      0.9.5a
%define rel      2
%define prefix   /usr

Summary: Open Source SSL Library
Name: %name
Version: %{ver}
Release: %rel
Copyright: distributable
Group: System Environment/Libraries
Source: ftp://ftp.openssl.org/source/%{name}-%{ver}.tar.gz
#Patch: %{name}-%{ver}.patch
BuildRoot: /tmp/%{name}-%{ver}-root
Packager: Michael Jennings <mej@valinux.com>
Vendor: VA Linux Systems (http://www.valinux.com/)
Docdir: %{prefix}/doc
URL: http://www.openssl.org/
Conflicts: openssl-us

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and Open Source toolkit implementing
the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS
v1) protocols as well as a full-strength general purpose cryptography
library. The project is managed by a worldwide community of volunteers
that use the Internet to communicate, plan, and develop the OpenSSL
toolkit and its related documentation.

OpenSSL is based on the excellent SSLeay library developed by Eric
A. Young and Tim J. Hudson. The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get
and use it for commercial and non-commercial purposes subject to some
simple license conditions.

%package us
Summary: US version with RSAREF and without the IDEA algorithm.
Group: System Environment/Libraries
Conflicts: openssl
%description us
This is the same OpenSSL library, but it has the patented algorithms
disabled for use in the US.

%changelog

%prep
%setup
#%patch -p 1 -b .dist

%build
# Optimize compiles
if [ ! -z "`echo -n ${RPM_OPT_FLAGS} | grep pentium`" ]; then
  if [ ! -z "`which pgcc`" ]; then
    CC="pgcc"
  fi
fi
CFLAGS="${RPM_OPT_FLAGS}"
export CFLAGS
CXXFLAGS="$CFLAGS"
export CXXFLAGS


./config --prefix=%{prefix} rsaref no-idea
make linux-shared
make
mv libssl.a ssl.us
mv libcrypto.a crypto.us
for i in libssl.so.*.*.* libcrypto.so.*.*.* ; do
  j=`echo $i | sed 's/\.so/-us.so/g'`
  mv $i $j
done

./config --prefix=%{prefix}
make linux-shared
make 

%install
rm -rf $RPM_BUILD_ROOT

# This should work with most autoconf'd applications.  But you
# may have to do some tweaking anyway.  Fair warning.
make install INSTALL_PREFIX=$RPM_BUILD_ROOT
install -m 755 lib*.so.*.*.* $RPM_BUILD_ROOT%{prefix}/lib/
for i in ssl crypto ; do install -m 644 $i.us $RPM_BUILD_ROOT%{prefix}/lib/lib$i-us.a ; done
install -m 755 libssl-us.so.*.*.* libcrypto-us.so.*.*.* $RPM_BUILD_ROOT%{prefix}/lib/

%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig

%postun
ldconfig

%post us
ldconfig

%postun us
ldconfig

%files
%defattr(-, root, root)
%doc CHANGES CHANGES.SSLeay FAQ INSTALL LICENSE NEWS README

%{prefix}/bin/*
%{prefix}/lib/libcrypto.a
%{prefix}/lib/libssl.a
%{prefix}/lib/libcrypto.so.0.9.5
%{prefix}/lib/libssl.so.0.9.5
%{prefix}/include/openssl/*
%{prefix}/ssl/*

%files us
%defattr(-, root, root)
%doc CHANGES CHANGES.SSLeay FAQ INSTALL LICENSE NEWS README

%{prefix}/bin/*
%{prefix}/lib/libcrypto-us.a
%{prefix}/lib/libssl-us.a
%{prefix}/lib/libcrypto-us.so.0.9.5
%{prefix}/lib/libssl-us.so.0.9.5
%{prefix}/include/openssl/*
%{prefix}/ssl/*
